SD_JOURNAL_NEXT(3)

NAME
sd_journal_next, sd_journal_previous, sd_journal_next_skip, sd_journal_previous_skip - Advance or set back the read pointer in the journal

SYNOPSIS

#include <elogind/sd-journal.h>

int sd_journal_next(sd_journal *j);

int sd_journal_previous(sd_journal *j);

int sd_journal_next_skip(sd_journal *j, uint64_t skip);

int sd_journal_previous_skip(sd_journal *j, uint64_t skip);

DESCRIPTION

As elogind can not open any systemd journals, the functions sd_journal_next, sd_journal_previous, sd_journal_next_skip and sd_journal_previous_skip do nothing.

RETURN VALUE

The four calls return -ENOSYS.

SEE ALSO

elogind(8), sd_journal_open(3), sd_journal_get_data(3), sd_journal_get_realtime_usec(3), sd_journal_get_cursor(3)